### Method

# Gio Application withdraw_notification

since: 2.40

#### Declaration [src]

    void
    g_application_withdraw_notification (
      GApplication* application,
      const gchar* id
    )

#### Description [src]

Withdraws a notification that was sent with g_application_send_notification().

This call does nothing if a notification with `id` doesn’t exist or the notification was never sent.

This function works even for notifications sent in previous executions of this application, as long `id` is the same as it was for the sent notification.

Note that notifications are dismissed when the user clicks on one of the buttons in a notification or triggers its default action, so there is no need to explicitly withdraw the notification in that case.

Available since: 2.40

#### Parameters

`id`

  Type: `const gchar*`

  Id of a previously sent notification.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.